PipeWire 1.6.5

Loading...
Searching...
No Matches
pw_protocol_native_message Struct Reference
Extensions » Native Protocol

`#include <pipewire/extensions/protocol-native.h>`

## Data Fields
uint32_t | id
uint32_t | opcode
void * | data
uint32_t | size
uint32_t | n_fds
int * | fds
int | seq

## Field Documentation

## ◆ id

uint32_t pw_protocol_native_message::id

## ◆ opcode

uint32_t pw_protocol_native_message::opcode

## ◆ data

void* pw_protocol_native_message::data

## ◆ size

uint32_t pw_protocol_native_message::size

## ◆ n_fds

uint32_t pw_protocol_native_message::n_fds

## ◆ fds

int* pw_protocol_native_message::fds

## ◆ seq

int pw_protocol_native_message::seq

The documentation for this struct was generated from the following file:

- pipewire/extensions/protocol-native.h